package Logging::Formaters::AbstractLogFormater;

use strict;
use warnings;

use constant INSERT_TIMESTAMPS => 1;
use constant INSERT_PIDS       => 2;

use base "Exporter";    
our @EXPORT = qw(INSERT_TIMESTAMPS INSERT_PIDS);


sub new {
    my $self = bless {}, shift;
    $self->options(0);
    return $self;
}
sub options {
    my $self = shift;
    if (@_) { $self->{options} = shift; }
    return $self->{options};
}
sub handle () {
    die("Abstract Handler.");
}
1;